### FaceNormals

Category

Rendering

Function

Computes face normals for flat shading.

Syntax

    normals = FaceNormals(surface);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`surface` | geometry field | none | surface on which to compute face normals

Outputs

Name | Type | Description
--- | --- | ---
`normals` | field | the surface with face normals

Functional Details

This module computes face normals for a surface. A "normals" component is necessary to produce shading when an object is rendered. In contrast to the output of the Normals module, the normals produced by this module are always connection dependent rather than position dependent. Therefore, when they are rendered, the result is faceted shading.

When this module is used, any colors that reside at vertices are averaged for each face at the time of rendering, resulting in a single color for each face.

The FaceNormals module assumes that the triangles or quads have consistent point orderings (i.e., so that the directions of the face normals will be consistent throughout the mesh).

The Shade module can also be used to compute normals for shading.

Components

Creates a "normals" component that is dependent on connections. All other components are propagated to the output.

Example Visual Program

    Thunder_cellcentered.net
    SIMPLE/FaceNormals.net

See Also

Isosurface, Normals, Shade

[ OpenDX Home at IBM | OpenDX.org ]